// ficha.h - Declaración de la clase CFicha

#if !defined( _CFICHA_H_ )
#define _CFICHA_H_
#include <string>

/////////////////////////////////////////////////////////////////
// Clase para operar con los objetos de una biblioteca
class CFicha
{
  protected:
    std::string referencia;
    std::string titulo;
  public:
    // Constructor
    CFicha(std::string = "", std::string = "");
    // Destructor
    virtual ~CFicha() {};
    // Otras funciones
    void AsignarReferencia(std::string);
    std::string ObtenerReferencia() const;
    void AsignarTitulo(std::string);
    std::string ObtenerTitulo() const;
    virtual CFicha *Clonar() = 0;
};

#endif // _CFICHA_H_
/////////////////////////////////////////////////////////////////
